org.apache.felix.framework

## Class ResolveContextImpl

- java.lang.Object
- - org.osgi.service.resolver.ResolveContext
  - - org.apache.felix.framework.ResolveContextImpl

    public class ResolveContextImpl
    extends org.osgi.service.resolver.ResolveContext

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Capability>` `findProviders(Requirement br)`
`Collection<Resource>` `findRelatedResources(Resource resource)`
`Collection<Resource>` `getMandatoryResources()`
`Collection<Resource>` `getOndemandResources(Resource host)`
`Collection<Resource>` `getOptionalResources()`
`List<Wire>` `getSubstitutionWires(Wiring wiring)`
`Map<Resource,Wiring>` `getWirings()`
`int` `insertHostedCapability(List<Capability> caps, org.osgi.service.resolver.HostedCapability hc)`
`boolean` `isEffective(Requirement br)`
`void` `onCancel(Runnable callback)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMandatoryResources

    public Collection<Resource> getMandatoryResources()

Overrides:
  `getMandatoryResources` in class `org.osgi.service.resolver.ResolveContext`

#### getOptionalResources

    public Collection<Resource> getOptionalResources()

Overrides:
  `getOptionalResources` in class `org.osgi.service.resolver.ResolveContext`

#### getOndemandResources

    public Collection<Resource> getOndemandResources(Resource host)

#### findProviders

    public List<Capability> findProviders(Requirement br)

Specified by:
  `findProviders` in class `org.osgi.service.resolver.ResolveContext`

#### insertHostedCapability

    public int insertHostedCapability(List<Capability> caps,
                                      org.osgi.service.resolver.HostedCapability hc)

Specified by:
  `insertHostedCapability` in class `org.osgi.service.resolver.ResolveContext`

#### isEffective

    public boolean isEffective(Requirement br)

Specified by:
  `isEffective` in class `org.osgi.service.resolver.ResolveContext`

#### getWirings

    public Map<Resource,Wiring> getWirings()

Specified by:
  `getWirings` in class `org.osgi.service.resolver.ResolveContext`

#### getSubstitutionWires

    public List<Wire> getSubstitutionWires(Wiring wiring)

Overrides:
  `getSubstitutionWires` in class `org.osgi.service.resolver.ResolveContext`

#### findRelatedResources

    public Collection<Resource> findRelatedResources(Resource resource)

Overrides:
  `findRelatedResources` in class `org.osgi.service.resolver.ResolveContext`

#### onCancel

    public void onCancel(Runnable callback)

Overrides:
  `onCancel` in class `org.osgi.service.resolver.ResolveContext`